<template>
  <div class="feature-list">
    <Feature v-for="f in features" :key="f.id" :title="f.title" :body="f.body" :icon="f.icon" class="feature" />
  </div>
</template>

<script>
import Feature from "@/components/homepage/Feature";

export default {
  name: "FeatureList",
  components: {
    Feature
  },
  props: {
    features: {
      type: Array,
      required: true
    }
  }
}
</script>

<style lang="stylus" scoped>
@import "~assets/styles/variables"

.feature-list
  display grid
  grid-template-columns 1fr 1fr 1fr
  @media only screen and (max-width 1000px)
    grid-template-columns 1fr
</style>